summaryrefslogtreecommitdiffstats
path: root/treecompose-post.sh
diff options
context:
space:
mode:
authorDavid King <amigadave@amigadave.com>2016-04-05 08:39:25 +0200
committerDavid King <amigadave@amigadave.com>2016-04-05 08:39:25 +0200
commit59393410a693a3776f26f2def702d5e8f4ac6c99 (patch)
tree9b3360803b0cd46edd57cb22fd4d3e65e6636831 /treecompose-post.sh
downloadatomic-workstation-master.tar.gz
atomic-workstation-master.tar.xz
atomic-workstation-master.zip
Initial commitHEADmaster
Diffstat (limited to 'treecompose-post.sh')
-rwxr-xr-xtreecompose-post.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/treecompose-post.sh b/treecompose-post.sh
new file mode 100755
index 0000000..73b6573
--- /dev/null
+++ b/treecompose-post.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+
+# See: https://bugzilla.redhat.com/show_bug.cgi?id=1051816
+KEEPLANG=en_US
+find /usr/share/locale -mindepth 1 -maxdepth 1 -type d -not -name "${KEEPLANG}" -exec rm -rf {} +
+localedef --list-archive | grep -a -v ^"${KEEPLANG}" | xargs localedef --delete-from-archive
+mv -f /usr/lib/locale/locale-archive /usr/lib/locale/locale-archive.tmpl
+build-locale-archive